summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/mountlate
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/mountlate')
-rw-r--r--etc/rc.d/mountlate21
1 files changed, 16 insertions, 5 deletions
diff --git a/etc/rc.d/mountlate b/etc/rc.d/mountlate
index 6c5ea0f..5b8ff73 100644
--- a/etc/rc.d/mountlate
+++ b/etc/rc.d/mountlate
@@ -16,13 +16,24 @@ stop_cmd=":"
mountlate_start()
{
- local err
+ local err latefs
# Mount "late" filesystems.
- echo -n 'Mounting late file systems:'
- mount -a -l
- err=$?
- echo '.'
+ #
+ err=0
+ latefs=
+ # / (root) fs is always remounted, so remove from list
+ latefs="`/sbin/mount -d -a -l | grep -v ' /$'`"
+ case ${latefs} in
+ '')
+ ;;
+ *)
+ echo -n 'Mounting late file systems:'
+ mount -a -l
+ err=$?
+ echo '.'
+ ;;
+ esac
case ${err} in
0)
OpenPOWER on IntegriCloud